Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.ui.icons
Class InferenceIcons

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.ui.icons.InferenceIcons

    public class InferenceIcons

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 22, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `REASONER_INSPECTOR`

Constructor Summary
`InferenceIcons()`

Method Summary
`static Icon` | `getErrorMessageIcon()`
`static ImageIcon` | `getIcon(String name)`
`static Icon` | `getInformationMessageIcon()`
`static Icon` | `getReasonerInspectorIcon()`
`static Icon` | `getReasonerInspectorTreeIcon()`
`static Icon` | `getWarningMessageIcon()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REASONER_INSPECTOR

    public static final String REASONER_INSPECTOR

See Also:
  Constant Field Values

Constructor Detail

### InferenceIcons

    public InferenceIcons()

Method Detail

### getIcon

    public static ImageIcon getIcon(String name)

### getErrorMessageIcon

    public static Icon getErrorMessageIcon()

### getWarningMessageIcon

    public static Icon getWarningMessageIcon()

### getInformationMessageIcon

    public static Icon getInformationMessageIcon()

### getReasonerInspectorIcon

    public static Icon getReasonerInspectorIcon()

### getReasonerInspectorTreeIcon

    public static Icon getReasonerInspectorTreeIcon()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.